function p = isprimitive (poly)
  if (poly.m != 1)
    error ("isprimitive: polynomials must be in GF(2)");
  endif

  x = poly.x;
  if (isvector (x) && columns(x) == 1)
    x = x.';
  endif
  p = isprimitive (sum (x .*  (2 .^ repmat (0 : columns (x) - 1, 
					    rows(x), 1)), 2));
endfunction
